# std::_Fwd_list_base< _Tp, _Alloc > Struct Template Reference

Base class for forward_list. More...

Inheritance diagram for std::_Fwd_list_base< _Tp, _Alloc >:
[legend]

List of all members.

## Public Types

- typedef _Fwd_list_node< _Tp > _Node
- typedef
  _Fwd_list_const_iterator< _Tp > const_iterator
- typedef _Fwd_list_iterator< _Tp > iterator

## Public Member Functions

- _Fwd_list_base (const _Alloc &__a)
- _Fwd_list_base (_Fwd_list_base &&__lst)
- _Fwd_list_base (const _Fwd_list_base &__lst, const _Alloc &__a)
- _Fwd_list_base (_Fwd_list_base &&__lst, const _Alloc &__a)
- const _Node_alloc_type & _M_get_Node_allocator () const
- _Node_alloc_type & _M_get_Node_allocator ()

## Protected Types

- typedef _Alloc::template
  rebind< _Fwd_list_node< _Tp >
  >::other _Node_alloc_type
- typedef _Alloc::template
  rebind< _Tp >::other _Tp_alloc_type

## Protected Member Functions

- template<typename... _Args> _Node * _M_create_node (_Args &&...__args)
- void _M_erase_after (_Fwd_list_node_base *__pos)
- void _M_erase_after (_Fwd_list_node_base *__pos, _Fwd_list_node_base *__last)
- _Node * _M_get_node ()
- template<typename... _Args> _Fwd_list_node_base * _M_insert_after (const_iterator __pos, _Args &&...__args)
- void _M_put_node (_Node *__p)

## Protected Attributes

- _Fwd_list_impl _M_impl

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Fwd_list_base< _Tp, _Alloc >

Base class for forward_list.

Definition at line 272 of file forward_list.h.

The documentation for this struct was generated from the following files:

- forward_list.h
- forward_list.tcc